Name: quickjs-ng
Summary: Small and embeddable JavaScript engine
License: MIT

Version: 0.10.1
Release: 1%{?dist}

URL: https://github.com/quickjs-ng/quickjs
Source0: %{URL}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: make

Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
QuickJS is a small and embeddable JavaScript engine.
It aims to support the latest ECMAScript specification.

This project is a fork of the original QuickJS project by Fabrice Bellard
and Charlie Gordon, after it went dormant, with the intent of reigniting
its development.

# -- libs

%package libs
Summary: Library providing a small JavaScript engine

%description libs
This package provides QuickJS-NG as a shared library.

# -- devel

%package devel
Summary: Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
This package provides files required for developing programs
requiring %{name}.

# -- docs

%package docs
BuildArch: noarch
Summary: Documentation for %{name}

%description docs
This package provides example files showing how to develop programs
using %{name}.

# -- subpackages end


%prep
%autosetup -p1 -n quickjs-%{version}
%cmake


%build
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%{_bindir}/qjs
%{_bindir}/qjsc

%files libs
%{_libdir}/libqjs.so.%{version}

%files devel
%{_libdir}/libqjs.so
%{_libdir}/libqjs.so.0
%{_libdir}/cmake/quickjs/
%{_includedir}/quickjs.h

%files docs
%{_docdir}/quickjs/


%changelog
* Thu May 15 2025 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0.10.1-1
- Update to v0.10.1

* Wed May 07 2025 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0.10.0-1
- Update to v0.10.0

* Tue Feb 04 2025 Artur Frenszek-Iwicki <fedora@svgames.pl> - 0.8.0-1
- Initial packaging
